Name:           preload
Version:        0.6.4
Release:        2%{?dist}
Summary:        Preload is an adaptive readahead daemon

Group:          Applications/System
License:        GPLv2+
URL:            http://preload.sf.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:		preload-0.6-start-late.patch

BuildRequires:  basesystem, glib2-devel, help2man
Requires:       basesystem, logrotate
Requires(post): /sbin/chkconfig
Requires(post): /sbin/service
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service

%description
preload runs as a daemon and gathers information about processes running on
the system and shared-objects that they use.  This information is saved in a
file to keep across runs of preload

%prep
%setup -q
%patch0 -p1 -b .start-late

%build
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add preload

%preun
if [ $1 = 0 ]; then
        /sbin/service preload stop >/dev/null 2>&1
        /sbin/chkconfig --del preload
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service preload condrestart >/dev/null 2>&1 || :
fi


%files
%defattr(-,root,root, -)
%doc README AUTHORS COPYING ChangeLog TODO THANKS NEWS
%{_sbindir}/preload
%{_datadir}/man/man8/preload.8.gz
%{_sysconfdir}/rc.d/init.d/preload
%config(noreplace) %{_sysconfdir}/preload.conf
%config(noreplace) %{_sysconfdir}/sysconfig/preload
%config(noreplace) %{_sysconfdir}/logrotate.d/preload
%attr(0644,root,root) %ghost %config(missingok,noreplace) %{_localstatedir}/log/preload.log
%attr(0644,root,root) %ghost %config(missingok,noreplace) %{_localstatedir}/lib/preload/preload.state
%attr(0755,root,root) %dir %{_localstatedir}/lib/preload


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 15 2009 Behdad Esfahbod <besfahbo@redhat.com> - 0.6.4-1
- Update to 0.6.4

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 28 2008 Behdad Esfahbod <besfahbo@redhat.com> - 0.6.3-1
- Update to 0.6.3

* Thu Jul 28 2008 Behdad Esfahbod <besfahbo@redhat.com> - 0.6.2-1
- Update to 0.6.2
- Actually resolves bug #456742 this time

* Thu Jul 28 2008 Behdad Esfahbod <besfahbo@redhat.com> - 0.6.1-1
- Update to 0.6.1
- Resolves bug #456742

* Thu Jul 24 2008 Behdad Esfahbod <besfahbo@redhat.com> - 0.6-1
- Update to 0.6
- Remove all patches.  They are all obsolete by upstream now.
- Add preload-0.6-start-late.patch to start preload as last service.
  We use readahead for boot speedup, and want preload just for login/desktop
  speedup.  So, start it last.

* Wed Feb 13 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-6
- Rebuild for gcc4.3

* Wed Jan 16 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-5
- Removed auto start from init
- Added all the CVS patches prior to next release

* Sun Jan 6 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-4
- Removed debian patch and added patches from upstream instead
- Patches fix 64 bit, ionice, sysconfig and loading.

* Fri Nov 9 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-3
- Used Debian Patch it consists of:
- Close the file descriptor when writing state to a file in src/state.c,
- Parse the dev field in /proc/%%d/maps as hexadecimal, not as unsigned
  integer.  Thanks to Johan Kiviniemi for the patch.
- Sort the readahead file list by device, block and inode and not file
  path to reduce seeking.  Adapted by Johan from a patch for readahead
  by Scott James Remnant.
- Added my patch to verbosity to 1 due to 30 second log writing
 
* Thu Nov 8 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-2
- Fixed config lines
- Fixed source lines
- Added Requires: Logrotate
- Default preload sequence is stopped
- %{?_smp_mflags} does not work

* Sat Oct 16 2007 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4-1
- Creation from start
